SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes

# SDH::cCANSerial_PEAK_Internal Class Reference

internal hardware specific implementation details of the lowlevel PEAK CAN interface More...

List of all members.

## Public Attributes
PCAN_HANDLE | peak_handle
| the internal handle to the driver
TPCANMsg | m_cmsg
int | m_cmsg_next
| index of next received data byte to return to user in m_cmsg
DWORD | rc
| last return code of calls to Peak functions

## Detailed Description

internal hardware specific implementation details of the lowlevel PEAK CAN interface

private data of cCANSerial_PEAK.

Required to keep inclusion of Pcan_usb.h out of public interface of cCANSerial_PEAK.

## Member Data Documentation

TPCANMsg SDH::cCANSerial_PEAK_Internal::m_cmsg

received messages might be split over several CAN messages it might therefore happen that more data is received than can be returned to the user. To not loose that data it is kept here to be be returned in a later call

int SDH::cCANSerial_PEAK_Internal::m_cmsg_next

index of next received data byte to return to user in m_cmsg

PCAN_HANDLE SDH::cCANSerial_PEAK_Internal::peak_handle

the internal handle to the driver

DWORD SDH::cCANSerial_PEAK_Internal::rc

last return code of calls to Peak functions

The documentation for this class was generated from the following file:

- sdh/canserial-peak.cpp